// Moved to commandLine.js xpcom component
pref("toolkit.defaultChromeURI", "");
pref("toolkit.defaultChromeFeatures", "chrome,resizable=yes,titlebar=no");
pref("toolkit.singletonWindowType", "navigator:browser");
pref("browser.download.folderList", 0);
pref("extensions.update.url","");

pref("xpinstall.dialog.confirm", "chrome://mozapps/content/xpinstall/xpinstallConfirm.xul");
pref("xpinstall.dialog.progress.skin", "chrome://mozapps/content/extensions/extensions.xul?type=themes");
pref("xpinstall.dialog.progress.chrome", "chrome://mozapps/content/extensions/extensions.xul?type=extensions");
pref("xpinstall.dialog.progress.type.skin", "Extension:Manager-themes");
pref("xpinstall.dialog.progress.type.chrome", "Extension:Manager-extensions");
pref("extensions.update.enabled", false);
pref("extensions.update.interval", 86400);
pref("extensions.dss.enabled", false);
pref("extensions.dss.switchPending", false);
pref("extensions.ignoreMTimeChanges", false);

pref("general.skins.selectedSkin", "classic/1.0");

// Fake extra useragent for Facebook chat ...
// NO longer works gecko >= 2
//pref("general.useragent.extra.firefox","Firefox/3.6");
//pref("general.useragent.extra.yoono","YoonoDesktop/1.6.1");
//pref("general.useragent.locale","fr");
//pref("intl.accept_languages","fr");

//pref("browser.chromeURL","chrome://yoonorunner/content/iframe.xul");
// Always display in the same "tab" (just make website window.open works! [with some JS magic code, ie "browserDOMWindow"])
pref("browser.link.open_newwindow", 1);
pref("browser.link.open_newwindow.restriction", 0);

pref("geo.enabled", true);

// Enable errors page instead of alert()!
pref("browser.xul.error_pages.enabled", true);
pref("browser.enable_automatic_image_resizing",true);

pref("extensions.yoono.open-in-system-browser",false);

pref("extensions.yoono.application.width",350);

// auto update

pref("app.update.enabled", true);
pref("app.update.auto", true);
// AUM Set to: Minor Releases: Major Releases:
// 0 download no prompt download no prompt
// 1 download no prompt download no prompt if no incompatibilities
// 2 download no prompt prompt
pref("app.update.mode", 0);
pref("app.update.silent", true);
pref("app.update.channel", "release");
pref("app.update.url","https://update.yoono.com/desktop-update/update/1/%PRODUCT%/%VERSION%/%BUILD_ID%/%BUILD_TARGET%/%LOCALE%/%CHANNEL%/update.xml");
pref("app.update.url.manual", "http://www.yoono.com/");
pref("app.update.url.details", "http://www.yoono.com/");
// Interval: Time between checks for a new version (in seconds)
pref("app.update.interval", 3600); // every hour = 3600
// Interval: Time before prompting the user to download a new version that
// is available (in seconds) default=1 day
pref("app.update.nagTimer.download", 86400);
// Interval: Time before prompting the user to restart to install the latest
// download (in seconds) default=30 minutes
pref("app.update.nagTimer.restart", 1800);
// Interval: When all registered timers should be checked (in milliseconds)
pref("app.update.timer", 30000); // 30 seconds
pref("app.update.showInstalledUI", false);
// 0 = suppress prompting for incompatibilities if there are updates available
// to newer versions of installed addons that resolve them.
pref("app.update.incompatible.mode", 0);
